Bug 1026714 - oo-diagnostics should detect frontend http plugin conflict
oo-diagnostics should detect frontend http plugin conflict
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
2.0.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Luke Meyer
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 04:48 EST by Johnny Liu
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-11-05 04:48:20 EST
Description of problem:
Currently openshift-origin-frontend-apache-mod-rewrite is installed and set as the default frontend http plugin, once user also install rubygem-openshift-origin-frontend-apache-vhost by mistake, then all app on the node become unavailable. 

Version-Release number of selected component (if applicable):
2.0/2013-11-04.1

How reproducible:
Always

Steps to Reproduce:
1. Setup env using installation script.
2. Create app, and this app is accessible. 
3. Install rubygem-openshift-origin-frontend-apache-vhost package using yum.
4. Restart httpd.
5. Try to access the app created in step2, and run oo-diagnostics.

Actual results:
App become unavailable, and return 302 error. Then run oo-diagnostics tools, no error is detected.

Expected results:
oo-diagnostics tools should detect frontend http plugin conflict.

Additional info:
Comment 2 Luke Meyer 2013-11-19 18:31:30 EST
origin-server: https://github.com/openshift/origin-server/pull/4203

enterprise-server:
commit f16fcfd25bb278a8ecc634e292718c5422b134d7
Author: Luke Meyer <lmeyer@redhat.com>
Date:   Tue Nov 19 17:54:09 2013 -0500

    <oo-diagnostics> test for clashing app frontends, bug 1031686
Comment 4 Johnny Liu 2013-11-25 06:40:30 EST
Verified this bug with rubygem-openshift-origin-common-1.17.2.2-1.el6op.noarch, and PASS.

# yum install rubygem-openshift-origin-frontend-apache-vhost

# oo-diagnostics -v
FAIL: test_node_frontend_clash
        Conflicting RPMs are installed:
          rubygem-openshift-origin-frontend-apache-mod-rewrite
          rubygem-openshift-origin-frontend-apache-vhost
        When both are present, apps are likely to be unreachable.
        Please remove the one not used in node.conf:
          yum remove rubygem-openshift-origin-frontend-apache-vhost
        Then, restart the httpd service.


# yum remove rubygem-openshift-origin-frontend-apache-vhost

# oo-diagnostics -v
<PASS>

Note You need to log in before you can comment on or make changes to this bug.